> For the complete documentation index, see [llms.txt](https://docs.tako.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tako.so/monetization/open-curation/for-lens-dapp/sdk/register.md).

# register()

<table><thead><tr><th width="160">SDK</th><th>register()</th></tr></thead><tbody><tr><td>Description</td><td>After the curators complete the curation(i.e., quote the target publication on Lens), they must bind the Quoted Publication Id and Bid Index.<br>So that Tako can verify that the curators have completed the curation task.<br>This method is used to perform the binding.</td></tr><tr><td>Nature</td><td>Method of Class</td></tr></tbody></table>

## Parameters

<table><thead><tr><th width="124">Name</th><th width="101">Type</th><th width="110">Required</th><th>Description</th></tr></thead><tbody><tr><td>index</td><td>number</td><td>YES</td><td>The index of bid</td></tr><tr><td>pubId</td><td>string</td><td>YES</td><td>The id of Curator's Quoted Publication, such as 0x8d11-0x07-DA-1cdac4db</td></tr></tbody></table>

## Example Code

{% code fullWidth="false" %}

```typescript
import { ethers } from 'ethers'
import { CONSTANT, TakoOpenCuration } from 'tako-open-curation'

const tako = new TakoOpenCuration(CONSTANT.Network.TESTNET)
const lensOpenCuration = tako.lensOpenCuration
const apikey = "Your Alchemy API Key"
const web3Provider = new ethers.providers.AlchemyProvider(80001, apikey)
lensOpenCuration.provider = web3Provider

const result = await lensOpenCuration.register(26, '0x49-0x01-DA-779542b8')
```

{% endcode %}

## Example Returns

```json
register lens curation succeed
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/sdk/register.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
